close all
clear all
clc

data = importdata('./Gl55W45.txt');
P_Pa=data.data(:,1)*1e5;
V_m3=data.data(:,2)/1e6;
dV=diff(V_m3);
dP=diff(P_Pa);

figure(1)
subplot(211)
plot(V_m3,P_Pa,'x');
ylabel('Pressure [Pa]');
xlabel('Volume [m3]');
% %% 3rd order
% coeff=polyfit(V_m3,P_Pa,3);
% V_m3_mod=linspace(min(V_m3),max(V_m3),100);
% P_Pa_mod=coeff(1).*V_m3_mod.^3+coeff(2).*V_m3_mod.^2+coeff(3).*V_m3_mod+coeff(4);
% dP_dV=3*coeff(1).*V_m3_mod.^2+2*coeff(2).*V_m3_mod+coeff(3);
%% 1st order
coeff=polyfit(V_m3,P_Pa,1);
V_m3_mod=linspace(min(V_m3),max(V_m3),100);
P_Pa_mod=coeff(1).*V_m3_mod+coeff(2);
dP_dV=coeff(1);
%% 
K=-dP_dV.*V_m3_mod;
hold on
plot(V_m3_mod,P_Pa_mod,'-r');
subplot(212)
plot(P_Pa_mod,K);
drawnow